#include <iostream>
#include <fstream>
#include "config.hpp"
#include "vmc.h"

void phyparams::ReadPhyParams( void )
{
	using namespace std;

	ConfigFile cfg( "Params.cfg" );	

	t = cfg.getValueOfKey<double>( "t" );
	tp = cfg.getValueOfKey<double>( "tp" );
	tpp = cfg.getValueOfKey<double>( "tpp" );
	Jex = cfg.getValueOfKey<double>( "Jex" );

	// Possibly dimensional values (saved before non-dimensionalizing)
	tvalue = t;
	tpvalue = tp;
	tppvalue = tpp;
	Jexvalue = Jex;

	// Non-dimensional values
	tp = tp / t;
	tpp = tpp / t;
	Jex = Jex / t;
	t = t / t;

	miscutils::InfoPrint( "Physical Parameters (Nondimensional)" );
	miscutils::InfoPrint( "First neighbour hopping (t)", t );
	miscutils::InfoPrint( "Second neighbour hopping (t')", tp );
	miscutils::InfoPrint( "Third neighbour hopping (t'')", tpp );
	miscutils::InfoPrint( "Antiferromagnetic Exchange (J)", Jex );
}
