
extern "C"
__global__ void k_sysStat
( 
	double *d_enearr, double *d_mean, double *d_sd
)
{
	int id = threadIdx.x + blockIdx.x * blockDim.x; int i;

	d_mean[id] = 0.0; d_sd[id] = 0.0;
	
	for ( i = 0; i < nbins; i++ )
	{
		d_mean[id] += d_enearr[nbins*id+i]; 
		d_sd[id] += ( d_enearr[nbins*id+i] * d_enearr[nbins*id+i] );
	}

	d_mean[id] = d_mean[id] / double( nbins ); d_sd[id] = d_sd[id] / double( nbins );
	d_sd[id] = sqrt( ( d_sd[id] - d_mean[id] * d_mean[id] ) / double( nbins - 1 ) );
}
